eatureValue = FeatureValue
    Feature: _Feature
    class _Feature(google___protobuf___internal___enum_type_wrapper____EnumTypeWrapper[CodeGeneratorResponse.FeatureValue]):
        DESCRIPTOR: google___protobuf___descriptor___EnumDescriptor = ...
        FEATURE_NONE = typing___cast(CodeGeneratorResponse.FeatureValue, 0)
        FEATURE_PROTO3_OPTIONAL = typing___cast(CodeGeneratorResponse.FeatureValue, 1)
    FEATURE_NONE = typing___cast(CodeGeneratorResponse.FeatureValue, 0)
    FEATURE_PROTO3_OPTIONAL = typing___cast(CodeGeneratorResponse.FeatureValue, 1)

    class File(google___protobuf___message___Message):
        DESCRIPTOR: google___protobuf___descriptor___Descriptor = ...
        name: typing___Text = ...
        insertion_point: typing___Text = ...
        content: typing___Text = ...

        @property
        def generated_code_info(self) -> google___protobuf___descriptor_pb2___GeneratedCodeInfo: ...

        def __init__(self,
            *,
            name : typing___Optional[typing___Text] = None,
            insertion_point : typing___Optional[typing___Text] = None,
            content : typing___Optional[typing___Text] = None,
            generated_code_info : typing___Optional[google___protobuf___descriptor_pb2___GeneratedCodeInfo] = None,
            ) -> None: ...
        def HasField(self, field_name: typing_extensions___Literal[u"content",b"content",u"generated_code_info",b"generated_code_info",u"insertion_point",b"insertion_point",u"name",b"name"]) -> builtin___bool: ...
        def ClearField(self, field_name: typing_extensions___Literal[u"content",b"content",u"generated_code_info",b"generated_code_info",u"insertion_point",b"insertion_point",u"name",b"name"]) -> None: ...
    type___File = File

    error: typing___Text = ...
    supported_features: builtin___int = ...

    @property
    def file(self) -> google___protobuf___internal___containers___RepeatedCompositeFieldContainer[type___CodeGeneratorResponse.File]: ...

    def __init__(self,
        *,
        error : typing___Optional[typing___Text] = None,
        supported_features : typing___Optional[builtin___int] = None,
        file : typing___Optional[typing___Iterable[type___CodeGeneratorResponse.File]] = None,
        ) -> None: ...
    def HasField(self, field_name: typing_extensions___Literal[u"error",b"error",u"supported_features",b"supported_features"]) -> builtin___bool: ...
    def ClearField(self, field_name: typing_extensions___Literal[u"error",b"error",u"file",b"file",u"supported_features",b"supported_features"]) -> None: ...
type___CodeGeneratorResponse = CodeGeneratorResponse
PK